org.apache.poi.hwpf.model

## Class FibRgW97

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FibRgW97AbstractType
  - - org.apache.poi.hwpf.model.FibRgW97

-     @Internal
      public class FibRgW97
      extends FibRgW97AbstractType

  The FibRgW97 structure is a variable-length portion of the Fib.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format.

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.FibRgW97AbstractType

      `field_1_reserved1, field_10_reserved10, field_11_reserved11, field_12_reserved12, field_13_reserved13, field_14_lidFE, field_2_reserved2, field_3_reserved3, field_4_reserved4, field_5_reserved5, field_6_reserved6, field_7_reserved7, field_8_reserved8, field_9_reserved9`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FibRgW97()`
    `FibRgW97(byte[] std, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.FibRgW97AbstractType

      `fillFields, getLidFE, getReserved1, getReserved10, getReserved11, getReserved12, getReserved13, getReserved2, getReserved3, getReserved4, getReserved5, getReserved6, getReserved7, getReserved8, getReserved9, getSize, serialize, serialize, setLidFE, setReserved1, setReserved10, setReserved11, setReserved12, setReserved13, setReserved2, setReserved3, setReserved4, setReserved5, setReserved6, setReserved7, setReserved8, setReserved9, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FibRgW97

          public FibRgW97()

    - #### FibRgW97

          public FibRgW97(byte[] std,
                          int offset)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.